org.eclipse.rdf4j.sail.shacl.planNodes

## Class DebugPlanNode

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.planNodes.DebugPlanNode

- All Implemented Interfaces:
    PlanNode

      public class DebugPlanNode
      extends Object
      implements PlanNode

  Used for adding a custom log statement to tuples as they pass through. Should only be used for debugging.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugPlanNode(PlanNode parent, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `depth()`
    `String` | `getId()`
    `IteratorData` | `getIteratorDataType()`
    `void` | `getPlanAsGraphvizDot(StringBuilder stringBuilder)`
    `CloseableIteration<Tuple,SailException>` | `iterator()`
    `void` | `receiveLogger(ValidationExecutionLogger validationExecutionLogger)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugPlanNode

          public DebugPlanNode(PlanNode parent,
                               String message)

  - ### Method Detail

    - #### iterator

          public CloseableIteration<Tuple,SailException> iterator()

      Specified by:
        `iterator` in interface `PlanNode`

    - #### depth

          public int depth()

      Specified by:
        `depth` in interface `PlanNode`

    - #### getPlanAsGraphvizDot

          public void getPlanAsGraphvizDot(StringBuilder stringBuilder)

      Specified by:
        `getPlanAsGraphvizDot` in interface `PlanNode`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `PlanNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getIteratorDataType

          public IteratorData getIteratorDataType()

      Specified by:
        `getIteratorDataType` in interface `PlanNode`

    - #### receiveLogger

          public void receiveLogger(ValidationExecutionLogger validationExecutionLogger)

      Specified by:
        `receiveLogger` in interface `PlanNode`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.